Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular ComboBox component is a drop-down list with editable textbox that also allows users to choose an option from a predefined pop-up list. It can be used as an alternative to the HTML select tag and has several out-of-the-box features such as data binding, filtering, grouping, cascading, templates, UI customization, pop-up list customization, and more.


Angular Combo Box data binding from different data sources

Data binding

Bind data from different data sources in an array or list of primitive data, JSON data collections, or remote data sources using adapters such as OData, OData V4, URL, JSON, and Web API.

The component uses the Essential JS 2 data manager to manage data, and also has customization options for data requests and processing.


Custom value

The editable combobox allows the entry of a custom value when the option the user searched for is not available in the pop-up list. Also, you can set a value for the combobox or get the selected value from the combobox at any time through the interactive APIs.

Angular ComboBox that allows custom values in the pop-up list


Filtering

The Angular ComboBox provides a built-in filtering support with a rich set of filtering configurations to meet all the application needs.

Angular ComboBox filtering search based on custom algorithm

Custom filtering

Filter queries are customizable, and users can use their own filter libraries to filter data.

Angular ComboBox filtering with diacritic symbol sensitivity

Diacritic sensitivity

The Angular ComboBox component supports diacritic-sensitive search. This behavior can be turned on and off.

Angular ComboBox filtering with case sensitivity and minimum search characters

Filter settings

The filter search can be customized to be case sensitive, and can be performed with the minimum query string characters.


Angular ComboBox Grouping of pop-up list items based on category

Grouping with category

Group the pop-up list items with a corresponding category that makes it easy for users to pick an item quickly from the drop-down, and also improves the visual experience for users.


Autofill

The autofill option allows users to easily search through the options in the combo box. When a user types a query string to search, the available matching options will be filled automatically.

Angular ComboBox autofill option while typing


Cascading combo boxes

The Angular ComboBox component provides an option to create multiple cascading combo boxes. Users can populate the data source of the second ComboBox based on the value selected from the first ComboBox.


Another important combobox feature is templates, which allow you to make custom changes to the header, footer, and list items in the pop-up list to make them look unique.

Styling Angular ComboBox pop-up list with a header template

Header template

Design your own header for the pop-up list using a header template.

Styling Angular ComboBox pop-up list with item template

Item template

Define the appearance of each item in the pop-up list with item templates.

Styling Angular ComboBox pop-up list with footer template

Design your own custom and static footers for the pop-up list using footer templates.


Customizing the UI

Users can customize each part of the combobox based on their application requirements.

Angular bootstrap ComboBox pop-up list with icons

Icons in list items

Each list item can be configured to display a custom icon to improve the component’s readability and appearance.

Angular ComboBox pop-up list custom appearance when no records are found

Empty record

Configure a custom look for the pop-up list when there are no items to display.

Angular ComboBox the pop-up list dimensions customization

Customize dimensions

The dimensions of the pop-up list can be customized to fit the application.


Combo Box Angular with form validation

Forms support

Since the combo box is a form component, it supports HTML forms, template-driven forms (Angular), and reactive forms.


Themes

The Angular ComboBox component supports the built-in themes Material, Bootstrap, Fabric (Office 365), Fluent, Tailwind CSS, and high contrast. Users can customize these built-in themes or create new themes to achieve their desired look and feel by either simply overriding SASS variables or using our Theme Studio application.

Combobox Material Angular

Mobile responsive UI

The Angular ComboBox component supports a responsive mode that provides an adaptive, redesigned UI appearance for mobile devices.


Web accessibility

  • Fully supports WAI-ARIA accessibility guidelines to work with screen readers and assistive devices.

  • Follows WAI-ARIA best practices for implementing keyboard interaction.

  • Designs the UI visual elements such as foreground color, background color, line spacing, text, and images based on WCAG 2.0 standard.

  • Supports right-to-left (RTL) direction for users working with RTL languages like Hebrew, Arabic, or Persian.


Developer friendly APIs

Developers can customize all UI elements and control their behaviors according to the end user’s requirements using its rich set of client-side APIs.


Angular ComboBox Code Example

Easily get started with the Angular ComboBox using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular ComboBox Example that shows you how to configure the combobox in Angular.

  1. <div class="control-section">
  2. <ejs-combobox id='games' [dataSource]='data' ></ejs-combobox>
  3. </div>
  1. import { Component } from '@angular/core';
  2. import { ComboBoxComponent } from '@syncfusion/ej2-angular-dropdowns';
  3. @Component({
  4. selector: 'app-root',
  5. // specifies the template string for the ComboBox component
  6. template: `<ejs-combobox id='games' [dataSource]='data'></ejs-combobox>`
  7. })
  8. export class AppComponent {
  9. constructor() {
  10. }
  11. // defined the array of data
  12. public data: string[] = ['Cricket', 'Football', 'Rugby', 'Snooker', 'Tennis'];
  13. }

Other supported frameworks

ComboBox is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different ComboBox platforms from the links below,

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular ComboBox provides the following:

  • A great alternative to the HTML select tag, with a modern look and feel.
  • Editable combobox with advanced features, including auto suggestion, grouping, sorting, filtering and more.
  • Supports complete customization of the UI and pop-up list through different template options.
  • Industry-standard themes are included: Material, Fabric, Fluent, and Bootstrap.
  • One of the best Angular ComboBox in the market that offers feature-rich UI to interact with the software.
  • Supports all modern browsers.
  • Simple configuration and API.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular ComboBox.

We do not sell the Angular ComboBox separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular ComboBox. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular ComboBox demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular ComboBox, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their ComboBox component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React ComboBox component is a drop-down list with editable textbox that also allows users to choose an option from a predefined pop-up list. It can be used as an alternative to the HTML select tag and has several out-of-the-box features such as data binding, filtering, grouping, cascading, templates, UI customization, pop-up list customization, and more.


React ComboBox data binding from different data sources

Data binding

Bind data from different data sources in an array or list of primitive data, JSON data collections, or remote data sources using adapters such as OData, OData V4, URL, JSON, and Web API.

The component uses the Essential JS 2 data manager to manage data, and also has customization options for data requests and processing.


Custom value

The editable combo box allows the entry of a custom value when the option the user searched for is not available in the pop-up list. Also, you can set a value for the combo box or get the selected value from the combo box at any time through the interactive APIs.

React ComboBox that allows custom values in the pop-up list


Filtering

The React ComboBox provides a built-in filtering support with a rich set of filtering configurations to meet all the application needs.

React ComboBox filtering search based on custom algorithm

Custom filtering

Filter queries are customizable, and users can use their own filter libraries to filter data.

React ComboBox filtering with diacritic symbol sensitivity

Diacritic sensitivity

The React ComboBox component supports diacritic-sensitive search. This behavior can be turned on and off.

React ComboBox filtering with case sensitivity and minimum search characters

Filter settings

The filter search can be customized to be case sensitive, and can be performed with the minimum query string characters.


React ComboBox Grouping of pop-up list items based on category

Grouping with category

Group the pop-up list items with a corresponding category that makes it easy for users to pick an item quickly from the drop-down, and also improves the visual experience for users.


Autofill

The autofill option allows users to easily search through the options in the combo box. When a user types a query string to search, the available matching options will be filled automatically.

React ComboBox autofill option while typing


Cascading combo boxes

The React ComboBox component provides an option to create multiple cascading combo boxes. Users can populate the data source of the second ComboBox based on the value selected from the first ComboBox.


Another important combo box feature is templates, which allow you to make custom changes to the header, footer, and list items in the pop-up list to make them look unique.

React textbox dropdown list with a header template

Header template

Design your own header for the pop-up list using a header template.

Styling React ComboBox pop-up list with item template

Item template

Define the appearance of each item in the pop-up list with item templates.

Styling React ComboBox pop-up list with footer template

Design your own custom and static footers for the pop-up list using footer templates.


Customizing the UI

Users can customize each part of the combo box based on their application requirements.

React ComboBox pop-up list with icons

Icons in list items

Each list item can be configured to display a custom icon to improve the component’s readability and appearance.

React ComboBox pop-up list custom appearance when no records are found

Empty record

Configure a custom look for the pop-up list when there are no items to display.

React ComboBox the pop-up list dimensions customization

Customize dimensions

The dimensions of the pop-up list can be customized to fit the application.


React ComboBox with form validation

Forms support

Since the combo box is a form component, it supports HTML forms, template-driven forms (Angular), and reactive forms.


Mobile responsive UI

The React ComboBox component supports a responsive mode that provides an adaptive, redesigned UI appearance for mobile devices.


React ComboBox Code Example

Easily get started with the React ComboBox using a few simple lines of TSX code example as demonstrated below. Also explore our React ComboBox Example that shows you how to render and configure a ComboBox in React.

  1. import { ComboBoxComponent } from '@syncfusion/ej2-react-dropdowns';
  2. import * as React from 'react';
  3. import * as ReactDOM from 'react-dom';
  4.  
  5. export default class App extends React.Component<{}, {}> {
  6. // define the array of data
  7. private sportsData: string[] = ['Badminton', 'Cricket', 'Football', 'Golf', 'Tennis'];
  8. public render() {
  9. return (
  10. // specifies the tag for render the ComboBox component
  11. <ComboBoxComponent id="comboelement" dataSource={this.sportsData} placeholder="Select a game" />
  12. );
  13. }
  14. }
  15. ReactDOM.render(<App />, document.getElementById('sample'));

Other supported frameworks

ComboBox component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different ComboBox platforms from the links below,


Web accessibility

  • Fully supports WAI-ARIA accessibility guidelines to work with screen readers and assistive devices.

  • Follows WAI-ARIA best practices for implementing keyboard interaction.

  • Designs the UI visual elements such as foreground color, background color, line spacing, text, and images based on WCAG 2.0 standard.

  • Supports right-to-left (RTL) direction for users working with RTL languages like Hebrew, Arabic, or Persian.

Developer friendly APIs

Developers can customize all UI elements and control their behaviors according to the end user’s requirements using its rich set of client-side APIs.

90+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React ComboBox provides the following features:

  • A great alternative to the HTML select tag, with a modern look and feel.
  • Editable combo box with advanced features, including auto suggestion, grouping, sorting, and more.
  • Support for complete customization of the UI and pop-up list through different template options.
  • One of the best React ComboBox in the market that offers a feature-rich UI.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Extensive demos and documentation to learn quickly and get started with ComboBox React.

We do not sell the React ComboBox separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React ComboBox. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React ComboBox demo, which demonstrates how to render and configure the Toolbar.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React ComboBox, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their ComboBox component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us